<configuration>
  <appender name="STDOUT" class="ch.qos.logback.core.ConsoleAppender">
    <encoder>
      <pattern>[s3proxy] %.-1p %d{MM-dd HH:mm:ss.SSS} %t %c{30}:%L %X{clientId}|%X{sessionId}:%X{messageId}:%X{fileId}] %m%n</pattern>
    </encoder>

    <!--
    <filter class="ch.qos.logback.classic.filter.ThresholdFilter">
      <level>${LOG_LEVEL:-info}</level>
    </filter>
  -->

  </appender>

  <logger name="org.eclipse.jetty" level="${JETTY_LOG_LEVEL:-info}" />
  <logger name="org.gaul.shaded.org.eclipse.jetty" level="${JETTY_LOG_LEVEL:-info}" />
  <logger name="org.gaul.s3proxy" level="debug" />


  <root level="${LOG_LEVEL:-info}">
    <appender-ref ref="STDOUT" />
  </root>
</configuration>
